%define ocamlname ppx_core

Name:           ocaml-%{ocamlname}
Version:        0.10.0
Release:        1%{?dist}.emp1
Summary:        Standard library for ppx rewriters
License:        Apache-2.0
URL:            https://github.com/janestreet/%{ocamlname}
Source0:        %{ocamlname}-v%{version}.tar.gz

Requires:       ocaml >= 4.04.1
Requires:       ocaml-base >= 0.10
Requires:       ocaml-base < 0.11
Requires:       ocaml-ocaml-compiler-libs >= 0.10
Requires:       ocaml-ocaml-compiler-libs < 0.11
Requires:       ocaml-ppx_ast >= 0.10
Requires:       ocaml-ppx_ast < 0.11
Requires:       ocaml-ppx_traverse_builtins >= 0.10
Requires:       ocaml-ppx_traverse_builtins < 0.11
Requires:       ocaml-stdio >= 0.10
Requires:       ocaml-stdio < 0.11

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.04.1
BuildRequires:  jbuilder
BuildRequires:  ocaml-base-devel >= 0.10
BuildRequires:  ocaml-base-devel < 0.11
BuildRequires:  ocaml-ocaml-compiler-libs-devel >= 0.10
BuildRequires:  ocaml-ocaml-compiler-libs-devel < 0.11
BuildRequires:  ocaml-ppx_ast-devel >= 0.10
BuildRequires:  ocaml-ppx_ast-devel < 0.11
BuildRequires:  ocaml-ppx_traverse_builtins-devel >= 0.10
BuildRequires:  ocaml-ppx_traverse_builtins-devel < 0.11
BuildRequires:  ocaml-stdio-devel >= 0.10
BuildRequires:  ocaml-stdio-devel < 0.11

%description
Part of the Jane Street's PPX rewriters collection.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel >= 0.10
Requires:       ocaml-base-devel < 0.11
Requires:       ocaml-ocaml-compiler-libs-devel >= 0.10
Requires:       ocaml-ocaml-compiler-libs-devel < 0.11
Requires:       ocaml-ppx_ast-devel >= 0.10
Requires:       ocaml-ppx_ast-devel < 0.11
Requires:       ocaml-ppx_traverse_builtins-devel >= 0.10
Requires:       ocaml-ppx_traverse_builtins-devel < 0.11
Requires:       ocaml-stdio-devel >= 0.10
Requires:       ocaml-stdio-devel < 0.11

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-v%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.txt
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
